## filelight 23.08.4

=== debian/changelog ===
filelight (4:23.08.4-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 22 Dec 2023 08:22:04 -0800

filelight (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:32 +0000

filelight (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:41 +0000

filelight (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:04 +0100

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
# XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5declarative-dev (>= 5.94.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.98.0~),
               libkf5kio-dev (>= 5.98.0~),
               libkf5xmlgui-dev (>= 5.98.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/filelight
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-org-kde-quickcharts,
         qml-module-qt-labs-platform,
         ${misc:Depends},
         ${shlibs:Depends}
Description: shows where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_auto_build:
	# print the filesystem info (that include the block sizes) to help
	# debugging issues in DirectoryIterator/POSIXWalker
	LANG=C stat -f .
	# info on the test files
	LANG=C stat autotests/iterator-tree.in/*

override_dh_auto_test:
	- dh_auto_test

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## filelight 23.08.5

=== CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
project(Filelight VERSION ${FILELIGHT_VERSION})

set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
set(KF_MIN_VERSION "5.98.0")
set(QT_REQUIRED_VERSION "5.15.2")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(ECMAddAppIcon)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Quick QuickControls2)
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED
    CoreAddons
    XmlGui # For app
    KIO # For part
    I18n
)
find_package(KF${KF_MAJOR_VERSION}DocTools) # Optional, not needed on Windows for example.

find_package(KF${KF_MAJOR_VERSION}QQC2DesktopStyle ${KF_MIN_VERSION})
set_package_properties(KF5QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

if(QT_MAJOR_VERSION STREQUAL "6")
    ecm_find_qmlmodule(org.kde.coreaddons 1.0)
else()
    ecm_find_qmlmodule(org.kde.kcoreaddons 1.0)
endif()
ecm_find_qmlmodule(org.kde.kirigami 2.19)
ecm_find_qmlmodule(org.kde.quickcharts 1.0)
ecm_find_qmlmodule(Qt.labs.platform 1.1)

add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)

if(QT_MAJOR_VERSION STREQUAL "6")
     set(KIRIGAMI_ICON_SOURCE "icon.source")
     set(KIRIGAMI_PAGE_ACTIONS "actions")
     set(KIRIGAMI_ACTION_DISPLAYHINT "DisplayHint")
     set(KIRIGAMI_BASICLISTITEM_ICON "icon.name")
     set(KCOREADDONS_QML_NAME "org.kde.coreaddons")
else()
    set(KIRIGAMI_ICON_SOURCE "iconSource")
    set(KIRIGAMI_PAGE_ACTIONS "contextualActions")
    set(KIRIGAMI_ACTION_DISPLAYHINT "Action")
    set(KIRIGAMI_BASICLISTITEM_ICON "icon")
    set(KCOREADDONS_QML_NAME "org.kde.kcoreaddons")
endif()

include_directories(src)

add_subdirectory(src)
add_subdirectory(misc)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    add_subdirectory(doc)
endif()

ki18n_install(po)
if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    message(FATAL_ERROR "Building tests in-source is not supported, please use a separate build dir or -DBUILD_TESTING=OFF.")
endif()

include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED Test)

add_subdirectory(core)

# Synthesize links. On some windowses the git install is set to not support symlinks (plus it may not be able to
# create them). Instead synthesize the links at configure time and configure the test accordingly.
file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree.in ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree)
file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/iterator-tree.in DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(RENAME ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree.in ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree)
set(ITERATOR_TREE_WITH_SYMLINK ON)
file(CREATE_LINK ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/bar ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/symlink RESULT ITERATOR_TREE_WITH_SYMLINK SYMBOLIC)
set(ITERATOR_TREE_WITH_LINK ON)
file(CREATE_LINK ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/bar ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/link RESULT ITERATOR_TREE_WITH_LINK)
configure_file(test-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)

ecm_add_test(directoryIteratorTest.cpp TEST_NAME directoryIteratorTest LINK_LIBRARIES Qt::Test filelightInternal)
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    # Fails on freebsd for unknown reasons -> only run it on linux.
    ecm_add_test(localListerTest.cpp TEST_NAME localListerTest LINK_LIBRARIES Qt::Test filelightInternal)
endif()
ecm_add_test(scanManagerTest.cpp TEST_NAME scanManagerTest LINK_LIBRARIES Qt::Test filelightInternal)

=== misc/CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2009 Martin Sandsmark <martin.sandsmark@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

install(PROGRAMS org.kde.filelight.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES filelightrc DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES filelightui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/filelight)
install(FILES org.kde.filelight.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(ICONS
    16-apps-filelight.png
    22-apps-filelight.png
    32-apps-filelight.png
    48-apps-filelight.png
    64-apps-filelight.png
    128-apps-filelight.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== src/CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2017-2022 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FILELIGHT
    VERSION_HEADER version.h)

include(CheckCXXSymbolExists)
check_cxx_symbol_exists(sincos "math.h" HAVE_SINCOS)
if (HAVE_SINCOS)
    add_definitions(-DHAVE_SINCOS)
endif()

add_library(filelightInternal STATIC
    fileTree.cpp
    directoryIterator.cpp
    fileCleaner.cpp
    scan.cpp
    Config.cpp
    localLister.cpp
    remoteLister.cpp
    fileTree.h
    directoryIterator.h
    fileCleaner.h
    scan.h
    Config.h
    localLister.h
    remoteLister.h
)
ecm_qt_declare_logging_category(filelightInternal
    HEADER filelight_debug.h
    IDENTIFIER FILELIGHT_LOG
    CATEGORY_NAME org.kde.filelight
    DESCRIPTION "filelight"
    EXPORT FILELIGHT
)
if (WIN32)
    target_sources(filelightInternal PRIVATE windowsWalker.cpp)
else()
    target_sources(filelightInternal PRIVATE posixWalker.cpp)
endif()
target_link_libraries(filelightInternal
    Qt${QT_MAJOR_VERSION}::Gui
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::ConfigCore
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::KIOWidgets # Only used for KDirLister, may be able to move away from that.
)

configure_file(qml/MapPage.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/MapPage.qml)
configure_file(qml/ActionMenuItem.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/ActionMenuItem.qml)
configure_file(qml/OverviewPage.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/OverviewPage.qml)
configure_file(qml/SettingsPageScanning.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SettingsPageScanning.qml)
configure_file(qml/CenterShape.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/CenterShape.qml)
configure_file(qml/SegmentShape.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SegmentShape.qml)
configure_file(qml/main.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/main.qml)
configure_file(qml/qml.qrc.in ${CMAKE_CURRENT_SOURCE_DIR}/qml/qml.generated.qrc)

add_executable(filelight)
target_sources(filelight PRIVATE
    radialMap/map.cpp
    radialMap/radialMap.cpp
    historyAction.cpp
    historyAction.h
    mainContext.cpp
    mainContext.h
    main.cpp
    fileTree.h
    radialMap/map.h
    radialMap/radialMap.h
    radialMap/sincos.h
    scan.h
    define.h
    localLister.h
    remoteLister.h
    historyAction.h
    Config.h
    ${CMAKE_CURRENT_SOURCE_DIR}/qml/qml.generated.qrc
    contextMenuContext.cpp
    contextMenuContext.h
    fileModel.cpp
    fileModel.h
    dropperItem.cpp
    dropperItem.h
)

set(filelight_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/16-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/32-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/48-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/64-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/128-apps-filelight.png
)
ecm_add_app_icon(filelight ICONS
    ${filelight_ICONS})

target_link_libraries(filelight
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::XmlGui
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::QuickControls2
    filelightInternal
)
if (WIN32)
    find_package(KDEWin REQUIRED)
    target_link_libraries(filelight kdewin)
endif()

install(TARGETS filelight ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
    EXPORT FILELIGHT
    FILE filelight.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== autotests/core/CMakeLists.txt ===
if(NOT UNIX)
    return()
endif()

SET(FILENAME_TEST_SRCS
    testFileTree.cpp
)

ecm_add_test(
    ${FILENAME_TEST_SRCS}
    TEST_NAME "filetree_test"
    LINK_LIBRARIES
        Qt${QT_MAJOR_VERSION}::Test
        filelightInternal
        KF${KF_MAJOR_VERSION}::CoreAddons
)

=== debian/changelog ===
filelight (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * Add missing runtime dependency on qml-module-org-kde-kcoreaddons.
    (LP: #2083152)

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Sep 2024 15:59:12 +0100

filelight (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:32 +1100

filelight (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:23:27 +0000

filelight (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:30:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: filelight
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-# XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -19,7 +18,7 @@
                libqt5svg5-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
-               qtquickcontrols2-5-dev (>= 5.15.2~)
+               qtquickcontrols2-5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/filelight
@@ -28,13 +27,14 @@
 
 Package: filelight
 Architecture: any
-Depends: qml-module-org-kde-kirigami2,
+Depends: qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2,
          qml-module-org-kde-qqc2desktopstyle,
          qml-module-org-kde-quickcharts,
          qml-module-qt-labs-platform,
          ${misc:Depends},
-         ${shlibs:Depends}
-Description: shows where your diskspace is being used
+         ${shlibs:Depends},
+Description: show where your diskspace is being used
  Filelight allows you to understand your disk usage by graphically
  representing your filesystem as a set of concentric, segmented rings.
  .

## filelight 24.08.2

=== debian/changelog ===
filelight (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 08:54:20 +0000

filelight (4:24.08.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:50:44 -0500

filelight (4:24.08.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Revert to static runtime dependencies for now.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Sep 2024 22:49:59 +0200

filelight (4:24.08.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Use pkgkde-getqmldepends to automatically inject runtime QML
    dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Sep 2024 21:28:02 +0200

filelight (4:23.08.5-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.5).
  * Update runtime dependencies with info from cmake. (Closes: #1053351)
  * Clean up build artifact.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Apr 2024 21:01:09 +0200

## filelight 24.12.0

=== debian/changelog ===
filelight (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:03:22 +0000

filelight (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:02:23 +0000

filelight (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:37:49 +0000

filelight (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:03 +0000

## filelight 24.12.1

=== debian/changelog ===
filelight (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:25:04 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev <!nodoc>,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6qqc2desktopstyle-dev (>= 6.0.0~),
               qt6-base-dev,
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/filelight
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-desktop (>= 6.0.0~),
         qml6-module-org-kde-kirigami,
         qml6-module-qt-labs-platform,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 24.12.3

=== CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
project(Filelight VERSION ${FILELIGHT_VERSION})

set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
set(KF_MIN_VERSION "6.5.0")
set(QT_REQUIRED_VERSION "6.6.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(ECMAddAppIcon)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Quick QuickControls2)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    KIO
    I18n
    ColorScheme
    Config
    Crash
)
find_package(KF6DocTools) # Optional, not needed on Windows for example.

find_package(KF6QQC2DesktopStyle ${KF_MIN_VERSION})
set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

ecm_find_qmlmodule(org.kde.coreaddons 1.0)
ecm_find_qmlmodule(org.kde.kirigami 2.19)
ecm_find_qmlmodule(Qt.labs.platform 1.1)

add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")

ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.7
)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
include_directories(src)

add_subdirectory(src)
add_subdirectory(misc)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
if (KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,28 +44,17 @@
     target_sources(filelightInternal PRIVATE posixWalker.cpp)
 endif()
 target_link_libraries(filelightInternal
-    Qt${QT_MAJOR_VERSION}::Gui
-    KF${KF_MAJOR_VERSION}::CoreAddons
-    KF${KF_MAJOR_VERSION}::ConfigCore
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::KIOWidgets # Only used for KDirLister, may be able to move away from that.
+    Qt6::Gui
+    KF6::ConfigCore
+    KF6::I18n
+    KF6::KIOWidgets # Only used for KDirLister, may be able to move away from that.
+    KF6::Crash
 )
-
-configure_file(qml/MapPage.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/MapPage.qml)
-configure_file(qml/ActionMenuItem.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/ActionMenuItem.qml)
-configure_file(qml/OverviewPage.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/OverviewPage.qml)
-configure_file(qml/SettingsPageScanning.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SettingsPageScanning.qml)
-configure_file(qml/CenterShape.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/CenterShape.qml)
-configure_file(qml/SegmentShape.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/SegmentShape.qml)
-configure_file(qml/main.qml ${CMAKE_CURRENT_BINARY_DIR}/qml/main.qml)
-configure_file(qml/qml.qrc.in ${CMAKE_CURRENT_SOURCE_DIR}/qml/qml.generated.qrc)
 
 add_executable(filelight)
 target_sources(filelight PRIVATE
     radialMap/map.cpp
     radialMap/radialMap.cpp
-    historyAction.cpp
-    historyAction.h
     mainContext.cpp
     mainContext.h
     main.cpp
@@ -77,15 +66,16 @@
     define.h
     localLister.h
     remoteLister.h
-    historyAction.h
     Config.h
-    ${CMAKE_CURRENT_SOURCE_DIR}/qml/qml.generated.qrc
+    qml/qml.qrc
     contextMenuContext.cpp
     contextMenuContext.h
     fileModel.cpp
     fileModel.h
     dropperItem.cpp
     dropperItem.h
+    hicolor.qrc
+    windowThemer.cpp
 )
 
 set(filelight_ICONS
@@ -99,15 +89,23 @@
     ${filelight_ICONS})
 
 target_link_libraries(filelight
-    KF${KF_MAJOR_VERSION}::I18n
-    KF${KF_MAJOR_VERSION}::XmlGui
-    Qt${QT_MAJOR_VERSION}::Quick
-    Qt${QT_MAJOR_VERSION}::QuickControls2
+    KF6::I18n
+    KF6::ColorScheme
+    Qt6::Quick
+    Qt6::QuickControls2
     filelightInternal
 )
-if (WIN32)
-    find_package(KDEWin REQUIRED)
-    target_link_libraries(filelight kdewin)
+
+if(APPLE)
+    set_target_properties(filelight PROPERTIES
+        MACOSX_BUNDLE_DISPLAY_NAME "Filelight"
+        MACOSX_BUNDLE_BUNDLE_NAME "Filelight"
+        MACOSX_BUNDLE_LONG_VERSION_STRING "Filelight ${RELEASE_SERVICE_VERSION}"
+        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
+        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
+        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.filelight"
+        MACOSX_BUNDLE_COPYRIGHT "2006-2024 The Filelight Developers")
+
 endif()
 
 install(TARGETS filelight ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
filelight (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 17:12:03 +0000

filelight (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:30:16 +0100

filelight (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 22:17:02 +0100

filelight (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 18 Jan 2025 13:31:04 +0100

filelight (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:03:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 6.0.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
-               libkf6colorscheme-dev (>= 6.0.0~),
-               libkf6config-dev (>= 6.0.0~),
-               libkf6crash-dev (>= 6.0.0~),
+               libkf6colorscheme-dev (>= 6.5.0~),
+               libkf6config-dev (>= 6.5.0~),
+               libkf6crash-dev (>= 6.5.0~),
                libkf6doctools-dev <!nodoc>,
-               libkf6i18n-dev (>= 6.0.0~),
-               libkf6kio-dev (>= 6.0.0~),
-               libkf6qqc2desktopstyle-dev (>= 6.0.0~),
-               qt6-base-dev,
-               qt6-declarative-dev,
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6kio-dev (>= 6.5.0~),
+               libkf6qqc2desktopstyle-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0

## filelight 25.04.0

=== debian/changelog ===
filelight (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Switch to KF6 debhelper build sequence.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:45:25 +0200

filelight (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies. (Closes:
    #1101828)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:25:34 +0200

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6doctools-dev <!nodoc>,
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6qqc2desktopstyle-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/filelight/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git

Package: filelight
Architecture: any
Depends: qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 #######################################################################
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements
@@ -62,7 +62,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")
 
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.7
+    KF 6.12.0
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 include_directories(src)

=== debian/changelog ===
filelight (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.
  * New upstream release (25.04.2).
    - Translation updates.
  * Backport upstream commits:
    - Don’t fail analysis on corrupted folder entries.
  * Add missing runtime dependency on qml6-module-org-kde-desktop. (Closes:
    #1107202)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Jun 2025 14:56:29 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,8 @@
 
 Package: filelight
 Architecture: any
-Depends: qml6-module-qtqml-workerscript,
+Depends: qml6-module-org-kde-desktop,
+         qml6-module-qtqml-workerscript,
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},

## filelight 25.04.3

=== debian/changelog ===
filelight (4:25.04.3-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 11:05:58 +0000

filelight (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:37:55 +0000

filelight (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:53:28 +0000

filelight (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:44:06 +0000

filelight (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:31:11 +0000

filelight (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:59:44 +0000

filelight (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:58:56 +0000

filelight (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:51:00 +0000

filelight (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:47:42 +0000

filelight (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:49:08 +0000

filelight (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:21:44 +0000

filelight (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:00:30 +0000

filelight (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:10:49 +0000

filelight (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:46:51 +0000

filelight (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:13:36 +0000

filelight (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:00:02 +0000

filelight (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:55:14 +0000

filelight (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:36:27 +0000

filelight (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 11:37:23 +0000

filelight (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:13:06 +0000

filelight (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:14:01 +0000

filelight (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:42:09 +0000

filelight (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:31:23 +0000

filelight (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:08:50 +0000

filelight (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:32:07 +0000

filelight (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:58:26 +0000

filelight (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:28:51 +0000

filelight (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:03:51 +0000

filelight (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:13:44 +0000

filelight (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:34:10 +0000

filelight (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:05:03 +0000

filelight (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:34:47 +0000

filelight (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:20:50 +0000

filelight (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:44:47 +0000

filelight (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:44:11 +0000

filelight (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:55:46 +0000

filelight (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:00:00 +0000

filelight (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:02:01 +0000

filelight (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:13:37 +0000

filelight (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:23:05 +0000

filelight (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:03 +0000

filelight (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:27:36 +0000

filelight (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:48:19 +0000

filelight (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:21:00 +0000

filelight (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:57 +0000

filelight (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:18:56 +0000



## filelight 25.07.80

=== debian/changelog ===
filelight (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:02:56 +0100

filelight (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:36:09 +0100

filelight (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Jun 2025 18:00:04 +0100

filelight (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:37:48 +0100

filelight (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:49 +0100

filelight (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:41:47 +0100

## filelight 25.07.90

=== debian/changelog ===
filelight (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:28:12 +0100

## filelight 25.08.0

=== debian/changelog ===
filelight (4:25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 17:51:21 +0000

filelight (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:00:23 +0000

## filelight 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements
@@ -18,7 +18,7 @@
 
 set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
 set(KF_MIN_VERSION "6.5.0")
-set(QT_REQUIRED_VERSION "6.6.0")
+set(QT_REQUIRED_VERSION "6.8.1")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -62,7 +62,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")
 
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-    KF 6.12.0
+    KF 6.14.0
 )
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 include_directories(src)

=== autotests/core/CMakeLists.txt ===
if(NOT UNIX)
    return()
endif()

SET(FILENAME_TEST_SRCS
    testFileTree.cpp testFileTree.h
)

ecm_add_test(
    ${FILENAME_TEST_SRCS}
    TEST_NAME "filetree_test"
    LINK_LIBRARIES
        Qt6::Test
        filelightInternal
)

=== debian/changelog ===
filelight (4:25.08.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:45:45 +0000

filelight (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:25:28 +0000

## filelight 25.08.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,9 +39,9 @@
     EXPORT FILELIGHT
 )
 if (WIN32)
-    target_sources(filelightInternal PRIVATE windowsWalker.cpp)
+    target_sources(filelightInternal PRIVATE windowsWalker.cpp windowsWalker.h)
 else()
-    target_sources(filelightInternal PRIVATE posixWalker.cpp)
+    target_sources(filelightInternal PRIVATE posixWalker.cpp posixWalker.h)
 endif()
 target_link_libraries(filelightInternal
     Qt6::Gui
@@ -75,7 +75,7 @@
     dropperItem.cpp
     dropperItem.h
     hicolor.qrc
-    windowThemer.cpp
+    windowThemer.cpp windowThemer.h
 )
 
 set(filelight_ICONS
@@ -95,6 +95,11 @@
     Qt6::QuickControls2
     filelightInternal
 )
+if(TARGET KF6::I18nQml)
+target_link_libraries(filelight
+        KF6::I18nQml
+)
+endif()
 
 if(APPLE)
     set_target_properties(filelight PROPERTIES

=== debian/changelog ===
filelight (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:39:08 +0100

filelight (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:50:36 +0100

filelight (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:19:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

execute_before_dh_auto_build:
	# print the filesystem info (that include the block sizes) to help
	# debugging issues in DirectoryIterator/POSIXWalker
	LANG=C stat -f .
	# info on the test files
	LANG=C stat autotests/iterator-tree.in/*

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

execute_after_dh_auto_clean:
	rm -f src/qml/qml.generated.qrc

## filelight 25.08.2+p24.04+vstable+git20251015.1446

=== debian/changelog ===
filelight (4:25.08.2+p24.04+vstable+git20251015.1446-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:46:38 +0000

filelight (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:03:10 +0000

## filelight 25.08.2+p24.04+vstable+git20251019.0259

=== debian/changelog ===
filelight (4:25.08.2+p24.04+vstable+git20251019.0259-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:59:47 +0000

## filelight 25.08.2+p24.04+vstable+git20251021.0300

=== debian/changelog ===
filelight (4:25.08.2+p24.04+vstable+git20251021.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:00:59 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kparts-dev,
               kf6-kxmlgui-dev,
               kf6-qqc2-desktop-style-dev,
               kf6-solid-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/filelight.git
Vcs-Browser: https://invent.kde.org/neon/kde/filelight
Maintainer: Neon CI <neon@kde.org>

Package: filelight
Architecture: any
Depends: kf6-kcoreaddons,
         kf6-kirigami,
         kf6-kquickcharts,
         qml6-module-qt-labs-platform,
         ${misc:Depends},
         ${shlibs:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 25.08.2+p24.04+vstable+git20251031.0859

=== debian/changelog ===
filelight (4:25.08.2+p24.04+vstable+git20251031.0859-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:59:38 +0000

## filelight 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include(ECMAddTests)
 
-find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED Test)
+find_package(Qt6Test ${QT_MIN_VERSION} REQUIRED Test)
 
 add_subdirectory(core)

=== debian/changelog ===
filelight (4:25.08.3-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 22:16:18 +0000

filelight (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:09 +1000

## filelight 25.08.3+p24.04+vunstable+git20251206.0707

=== debian/changelog ===
filelight (4:25.08.3+p24.04+vunstable+git20251206.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:07:41 +0000
